/*
 * FCKeditor - The text editor for internet
 * Copyright (C) 2003-2004 Frederico Caldeira Knabben
 * 
 * Licensed under the terms of the GNU Lesser General Public License:
 * 		http://www.opensource.org/licenses/lgpl-license.php
 * 
 * For further information visit:
 * 		http://www.fckeditor.net/
 * 
 * File Name: fckconfig.js
 * 	Editor configuration settings.
 * 	See the documentation for more info.
 * 
 * Version:  2.0 FC (Preview)
 * Modified: 2005-03-13 17:47:07
 * 
 * File Authors:
 * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
 *
 * Adapted for RunCMS by EsseBe  essebe@essebe.ch
 *
 */

FCKConfig.CustomConfigurationsPath = '' ;

FCKConfig.EditorAreaCSS = FCKConfig.BasePath + 'css/fck_editorarea.css' ;

FCKConfig.BaseHref = '' ;

FCKConfig.FullPage = false ;

FCKConfig.Debug = false ;

FCKConfig.SkinPath = FCKConfig.BasePath + 'skins/silver/' ;

FCKConfig.PluginsPath = FCKConfig.BasePath + 'plugins/' ;

// FCKConfig.Plugins.Add( 'placeholder', 'en,it' ) ;

FCKConfig.AutoDetectLanguage	= true ;
FCKConfig.DefaultLanguage	= 'en' ;
FCKConfig.ContentLangDirection	= 'ltr' ;

FCKConfig.EnableXHTML		= true ;
FCKConfig.EnableSourceXHTML	= true ;

FCKConfig.FillEmptyBlocks	= true ;

FCKConfig.FormatSource		= true ;
FCKConfig.FormatOutput		= true ;
FCKConfig.FormatIndentator	= '    ' ;

FCKConfig.GeckoUseSPAN	= true ;
FCKConfig.StartupFocus	= false ;
FCKConfig.ForcePasteAsPlainText	= false ;
FCKConfig.ForceSimpleAmpersand	= false ;
FCKConfig.TabSpaces		= 0 ;
FCKConfig.ShowBorders	= true ;
FCKConfig.UseBROnCarriageReturn	= false ;
FCKConfig.ToolbarStartExpanded	= true ;
FCKConfig.ToolbarCanCollapse	= true ;

FCKConfig.ToolbarSets["Default"] = [
	['Source','DocProps','-','Save','NewPage','Preview'],
	['Cut','Copy','Paste','PasteText','PasteWord','-','Print','SpellCheck'],
	['Undo','Redo','-','Find','Replace','-','SelectAll','RemoveFormat'],
	['Bold','Italic','Underline','StrikeThrough','-','Subscript','Superscript'],
	['OrderedList','UnorderedList','-','Outdent','Indent'],
	['JustifyLeft','JustifyCenter','JustifyRight','JustifyFull'],
	['Link','Unlink','Anchor'],
	['Image','Table','Rule','Smiley','SpecialChar','UniversalKey'],
	['Form','Checkbox','Radio','TextField','Textarea','Select','Button','ImageButton','HiddenField'],
	'/',
	['Style','FontFormat','FontName','FontSize'],
	['TextColor','BGColor'],
	['About']
] ;

FCKConfig.ToolbarSets["runcms"] = [
	['Source','Save'],
	['Cut','Copy','Paste','PasteText','PasteWord','-','Print','SpellCheck'],
	['Undo','Redo','-','Find','Replace','-','SelectAll','RemoveFormat'],
	['Bold','Italic','Underline','StrikeThrough','-','Subscript','Superscript'],
	['OrderedList','UnorderedList','-','Outdent','Indent'],
	['JustifyLeft','JustifyCenter','JustifyRight','JustifyFull'],
	['Link','Unlink','Anchor'],
	['Image','Table','Rule','Smiley','SpecialChar','UniversalKey'],
	['Form','Checkbox','Radio','TextField','Textarea','Select','Button','ImageButton','HiddenField'],
	'/',
	['Style','FontFormat','FontName','FontSize'],
	['TextColor','BGColor'],
	['About']
] ;

FCKConfig.ToolbarSets["runcms_lib"] = [
	['Source','Save'],
	['Cut','Copy','Paste','PasteText','PasteWord','-','Print','SpellCheck'],
	['Undo','Redo','-','Find','Replace','-','SelectAll','RemoveFormat'],
	['Bold','Italic','Underline','StrikeThrough','-','Subscript','Superscript'],
	['OrderedList','UnorderedList','-','Outdent','Indent'],
	['JustifyLeft','JustifyCenter','JustifyRight','JustifyFull'],
	['Link','Unlink','Anchor'],
	['Image','Library','Table','Rule','Smiley','SpecialChar','UniversalKey'],
	['Form','Checkbox','Radio','TextField','Textarea','Select','Button','ImageButton','HiddenField'],
	'/',
	['Style','FontFormat','FontName','FontSize'],
	['TextColor','BGColor'],
	['About']
] ;
<?php 
  $handle = fopen ("../../modules/system/cache/config.php", "r");
  $taille = fileSize ("../../modules/system/cache/config.php");
  
  while ($lecture = fgets($handle,$taille)){
  	
  if(ereg("allow_library","$lecture")){
  	$library = $lecture;
  	if(ereg("1","$library")){
  	$library = 1;	
  	}
	}
  if(ereg("user_html","$lecture")){
  	$recup_tags = explode ("\"",$lecture);
    	$tag_users = explode("|",$recup_tags[1]);
	}
}
  fclose ($handle);
  
  in_array('b',$tag_users) ? $bold = "'Bold'":$bold ="'-'";
  in_array('i',$tag_users) && in_array('em',$tag_users) ? $italic = "'Italic'":$italic ="'-'";
  in_array('u',$tag_users) ? $und="'Underline'":$und="'-'";
  in_array('strike',$tag_users) ? $strike = "'StrikeThrough'":$strike = "'-'";
  in_array('sub',$tag_users) ? $sub = "'Subscript'":$sub = "'-'";
  in_array('sup',$tag_users) ? $sup = "'Superscript'":$sup = "'-'";
  in_array('ol',$tag_users)&& in_array('li',$tag_users) ? $ol = "'OrderedList'":$ol = "'-'";
  in_array('ul',$tag_users)&& in_array('li',$tag_users) ? $ul = "'UnorderedList'":$ul = "'-'";
  in_array('blockquote',$tag_users) ? $bloc = "'Outdent','Indent'":$bloc ="'-'";
  in_array('div',$tag_users)? $just = "'JustifyLeft','JustifyCenter','JustifyRight','JustifyFull'":$just="'-'";
  in_array('a',$tag_users)? $a= "'Link','Unlink','Anchor'":$a = "'-'";
  in_array('img',$tag_users)? $img ="'Image'":$img="'-'";
  ($library == 1)? $lib ="'Library'":$lib="'-'";
  in_array('table',$tag_users)&& in_array('tr',$tag_users)&& in_array('td',$tag_users)&& in_array('th',$tag_users)&& in_array('thead',$tag_users)&& in_array('tbody',$tag_users)&& in_array('tfoot',$tag_users) ? $table = "'Table'":$table ="'-'";
  in_array('form',$tag_users)&& in_array('input',$tag_users) ? $form = "'Form','Checkbox','Radio','TextField','Textarea','Select','Button','ImageButton','HiddenField'":$form = "'-'";
  in_array('hr',$tag_users)? $rul ="'Rule'":$rul="'-'";
  in_array('img',$tag_users)? $smil ="'Smiley'":$smil="'-'";
  in_array('span',$tag_users)&& in_array('em',$tag_users)&& in_array('h3',$tag_users) ? $styl = "'Style'":$styl="'-'";
  in_array('pre',$tag_users)&& in_array('div',$tag_users)&& in_array('address',$tag_users)&& in_array('h1',$tag_users)&& in_array('h2',$tag_users)&& in_array('h3',$tag_users)&& in_array('h4',$tag_users)&& in_array('h5',$tag_users)&& in_array('h6',$tag_users) ? $format = "'FontFormat'":$format="'-'";
  in_array('font',$tag_users)? $font ="'FontName','FontSize','TextColor','BGColor'":$font="'-'";

?>
FCKConfig.ToolbarSets["UserToolbar"] = [
	['Source','Save'],
	['Cut','Copy','Paste','PasteText','PasteWord','-','Print','SpellCheck'],
	['Undo','Redo','-','Find','Replace','-','SelectAll','RemoveFormat'],
	[<?php echo "$bold,$italic,$und,$strike,$sub,$sup";?>],
	[<?php echo"$ol,$ul,'-',$bloc";?>],
	[<?php echo"$just";?>],
	[<?php echo"$a";?>],
	[<?php echo"$img,$lib,$table,$rul,$smil";?>,'SpecialChar','UniversalKey'],
	[<?php echo"$form";?>],
	[<?php echo"$styl,$format,$font";?>],
	['About']
] ;

FCKConfig.ContextMenu = ['Generic','Link','Anchor','Image','Select','Textarea','Checkbox','Radio','TextField','HiddenField','ImageButton','Button','BulletedList','NumberedList','TableCell','Table','Form'] ;

FCKConfig.FontColors = '000000,993300,333300,003300,003366,000080,333399,333333,800000,FF6600,808000,808080,008080,0000FF,666699,808080,FF0000,FF9900,99CC00,339966,33CCCC,3366FF,800080,999999,FF00FF,FFCC00,FFFF00,00FF00,00FFFF,00CCFF,993366,C0C0C0,FF99CC,FFCC99,FFFF99,CCFFCC,CCFFFF,99CCFF,CC99FF,FFFFFF' ;

FCKConfig.FontNames		= 'Arial;Comic Sans MS;Courier New;Tahoma;Times New Roman;Verdana' ;
FCKConfig.FontSizes		= '1/xx-small;2/x-small;3/small;4/medium;5/large;6/x-large;7/xx-large' ;
FCKConfig.FontFormats	= 'p;div;pre;address;h1;h2;h3;h4;h5;h6' ;

FCKConfig.StylesXmlPath	= '../fckstyles.xml' ;

FCKConfig.SpellChecker			= 'ieSpell' ;	// 'ieSpell' | 'SpellerPages'
FCKConfig.IeSpellDownloadUrl	= 'http://www.iespell.com/rel/ieSpellSetup211325.exe' ;

FCKConfig.LinkDlgHideTarget		= false ;
FCKConfig.LinkDlgHideAdvanced	= false ;

FCKConfig.ImageDlgHideLink		= false ;
FCKConfig.ImageDlgHideAdvanced	= false ;

FCKConfig.LinkBrowser = false ;
FCKConfig.LinkBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Connector=connectors/asp/connector.asp' ;
//FCKConfig.LinkBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Connector=connectors/asp/connector.asp&ServerPath=/CustomFiles/' ;
//FCKConfig.LinkBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Connector=connectors/aspx/connector.aspx' ;
//FCKConfig.LinkBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Connector=connectors/php/connector.php' ;
FCKConfig.LinkBrowserWindowWidth	= screen.width * 0.7 ;	// 70%
FCKConfig.LinkBrowserWindowHeight	= screen.height * 0.7 ;	// 70%

FCKConfig.ImageBrowser = false ;
FCKConfig.ImageBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Type=Image&Connector=connectors/asp/connector.asp' ;
//FCKConfig.ImageBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Type=Image&Connector=connectors/aspx/connector.aspx' ;
//FCKConfig.ImageBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Type=Image&Connector=connectors/php/connector.php' ;
FCKConfig.ImageBrowserWindowWidth  = screen.width * 0.7 ;	// 70% ;
FCKConfig.ImageBrowserWindowHeight = screen.height * 0.7 ;	// 70% ;

//smilies runcms
<?php
global $xoopsConfig;
$tag_users = explode('|',$xoopsConfig['user_html']);
in_array('b',$tag_users) ? $tabFichiers="'test.jpj', ":$tabFichiers="";

$rep = "../../images/smilies";
$handle = opendir($rep);
	
	while ($fic = readdir($handle)) {
               if ($fic == "." or $fic == ".." or $fic == "index.html") {
               } else {
                $tabFichiers .= "'$fic', ";
        	}
                        }


?>

FCKConfig.SmileyPath = "../../../../images/smilies/" ;
FCKConfig.SmileyImages = [<?php echo "$tabFichiers"; ?>] ;
FCKConfig.SmileyColumns = 7 ;
FCKConfig.SmileyWindowWidth		= 550 ;
FCKConfig.SmileyWindowHeight	= 510 ;