<?php
// $Id: server.php,v 1.1 2006/01/18 22:19:46 FARSUS Exp $
//***********************************************************/
//*		            	RUNCMS                              */
//*              Simplicity & ease off use                  */
//*             < http://www.runcms.org >                   */
//***********************************************************/
// Original Author: i-Tech (Half-Dead)
// Author Website : http://www.i-Technology.NET
// License Type   : LGPL: See /manual/LICENSES/LGPL.txt
// -----------------------------------------------------------//

if ($_SERVER['REQUEST_METHOD'] == "POST") {
//------------------------------------------------------------//
require_once("./cache/config.php");
if ( empty($phprpc_path) ) {
	$phprpc_path = str_replace('\\', '/', getcwd() );
	}
require_once("./".$phprpc_cms."_header.php");
require_once("./include/rpc_functions.php");
require_once("./include/rpc_decoder.php");
require_once("./include/rpc_encoder.php");
//------------------------------------------------------------------------------------------//
class rpc_Server {

	var $library;

	function rpc_Server() {
	global $phprpc_path, $phprpc_cms;

	$this->library  = $phprpc_path .'/library/'. $phprpc_cms .'/';
	$this->decode_request();
	}

//------------------------------------------------------------------------------------------//
function decode_request() {
global $HTTP_RAW_POST_DATA, $_SERVER, $db, $myts, $rpc_decoder, $phprpc_debug;

	$params  = $rpc_decoder->decode($HTTP_RAW_POST_DATA);
	$mfile   = $this->library . str_replace('.', '/', $rpc_decoder->methodName) . '.php';

if ( $phprpc_debug == 1 ) {
	dump_data($HTTP_RAW_POST_DATA, $rpc_decoder->methodName.'_methodCall.xml');
	}

if ( @is_file($mfile) ) {
	$rpc_encoder = new rpc_Encoder();
	require_once($mfile);
	} else {
		trigger_error($this->library._phpRPC_NoMeth . $rpc_decoder->methodName, E_USER_ERROR);
	}

if ($php_errormsg == '') {
	trigger_error(_phpRPC_TrackVars, E_USER_ERROR);
	} else {
	trigger_error($php_errormsg, E_USER_ERROR);
	}
}

}
//------------------------------------------------------------------------------------------//
$rpc_server = new rpc_Server();
}
?>
